package com.chinaitop.depot.intelligent.grainsituation.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TLightinfoExample {
    /**
     * t_lightinfo
     */
    protected String orderByClause;

    /**
     * t_lightinfo
     */
    protected boolean distinct;

    /**
     * t_lightinfo
     */
    protected List<Criteria> oredCriteria;

    public TLightinfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_lightinfo 2018-11-06
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andVlightcodeIsNull() {
            addCriterion("vLightCode is null");
            return (Criteria) this;
        }

        public Criteria andVlightcodeIsNotNull() {
            addCriterion("vLightCode is not null");
            return (Criteria) this;
        }

        public Criteria andVlightcodeEqualTo(String value) {
            addCriterion("vLightCode =", value, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeNotEqualTo(String value) {
            addCriterion("vLightCode <>", value, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeGreaterThan(String value) {
            addCriterion("vLightCode >", value, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vLightCode >=", value, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeLessThan(String value) {
            addCriterion("vLightCode <", value, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeLessThanOrEqualTo(String value) {
            addCriterion("vLightCode <=", value, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeLike(String value) {
            addCriterion("vLightCode like", value, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeNotLike(String value) {
            addCriterion("vLightCode not like", value, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeIn(List<String> values) {
            addCriterion("vLightCode in", values, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeNotIn(List<String> values) {
            addCriterion("vLightCode not in", values, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeBetween(String value1, String value2) {
            addCriterion("vLightCode between", value1, value2, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightcodeNotBetween(String value1, String value2) {
            addCriterion("vLightCode not between", value1, value2, "vlightcode");
            return (Criteria) this;
        }

        public Criteria andVlightnameIsNull() {
            addCriterion("vLightName is null");
            return (Criteria) this;
        }

        public Criteria andVlightnameIsNotNull() {
            addCriterion("vLightName is not null");
            return (Criteria) this;
        }

        public Criteria andVlightnameEqualTo(String value) {
            addCriterion("vLightName =", value, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameNotEqualTo(String value) {
            addCriterion("vLightName <>", value, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameGreaterThan(String value) {
            addCriterion("vLightName >", value, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameGreaterThanOrEqualTo(String value) {
            addCriterion("vLightName >=", value, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameLessThan(String value) {
            addCriterion("vLightName <", value, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameLessThanOrEqualTo(String value) {
            addCriterion("vLightName <=", value, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameLike(String value) {
            addCriterion("vLightName like", value, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameNotLike(String value) {
            addCriterion("vLightName not like", value, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameIn(List<String> values) {
            addCriterion("vLightName in", values, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameNotIn(List<String> values) {
            addCriterion("vLightName not in", values, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameBetween(String value1, String value2) {
            addCriterion("vLightName between", value1, value2, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVlightnameNotBetween(String value1, String value2) {
            addCriterion("vLightName not between", value1, value2, "vlightname");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNull() {
            addCriterion("vCfCode is null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNotNull() {
            addCriterion("vCfCode is not null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeEqualTo(String value) {
            addCriterion("vCfCode =", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotEqualTo(String value) {
            addCriterion("vCfCode <>", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThan(String value) {
            addCriterion("vCfCode >", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vCfCode >=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThan(String value) {
            addCriterion("vCfCode <", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThanOrEqualTo(String value) {
            addCriterion("vCfCode <=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLike(String value) {
            addCriterion("vCfCode like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotLike(String value) {
            addCriterion("vCfCode not like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIn(List<String> values) {
            addCriterion("vCfCode in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotIn(List<String> values) {
            addCriterion("vCfCode not in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeBetween(String value1, String value2) {
            addCriterion("vCfCode between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotBetween(String value1, String value2) {
            addCriterion("vCfCode not between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andItdhIsNull() {
            addCriterion("iTdh is null");
            return (Criteria) this;
        }

        public Criteria andItdhIsNotNull() {
            addCriterion("iTdh is not null");
            return (Criteria) this;
        }

        public Criteria andItdhEqualTo(Integer value) {
            addCriterion("iTdh =", value, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhNotEqualTo(Integer value) {
            addCriterion("iTdh <>", value, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhGreaterThan(Integer value) {
            addCriterion("iTdh >", value, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhGreaterThanOrEqualTo(Integer value) {
            addCriterion("iTdh >=", value, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhLessThan(Integer value) {
            addCriterion("iTdh <", value, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhLessThanOrEqualTo(Integer value) {
            addCriterion("iTdh <=", value, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhIn(List<Integer> values) {
            addCriterion("iTdh in", values, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhNotIn(List<Integer> values) {
            addCriterion("iTdh not in", values, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhBetween(Integer value1, Integer value2) {
            addCriterion("iTdh between", value1, value2, "itdh");
            return (Criteria) this;
        }

        public Criteria andItdhNotBetween(Integer value1, Integer value2) {
            addCriterion("iTdh not between", value1, value2, "itdh");
            return (Criteria) this;
        }

        public Criteria andVstauteIsNull() {
            addCriterion("vStaute is null");
            return (Criteria) this;
        }

        public Criteria andVstauteIsNotNull() {
            addCriterion("vStaute is not null");
            return (Criteria) this;
        }

        public Criteria andVstauteEqualTo(Integer value) {
            addCriterion("vStaute =", value, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteNotEqualTo(Integer value) {
            addCriterion("vStaute <>", value, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteGreaterThan(Integer value) {
            addCriterion("vStaute >", value, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteGreaterThanOrEqualTo(Integer value) {
            addCriterion("vStaute >=", value, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteLessThan(Integer value) {
            addCriterion("vStaute <", value, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteLessThanOrEqualTo(Integer value) {
            addCriterion("vStaute <=", value, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteIn(List<Integer> values) {
            addCriterion("vStaute in", values, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteNotIn(List<Integer> values) {
            addCriterion("vStaute not in", values, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteBetween(Integer value1, Integer value2) {
            addCriterion("vStaute between", value1, value2, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVstauteNotBetween(Integer value1, Integer value2) {
            addCriterion("vStaute not between", value1, value2, "vstaute");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeIsNull() {
            addCriterion("vUpdateTime is null");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeIsNotNull() {
            addCriterion("vUpdateTime is not null");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeEqualTo(Date value) {
            addCriterion("vUpdateTime =", value, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeNotEqualTo(Date value) {
            addCriterion("vUpdateTime <>", value, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeGreaterThan(Date value) {
            addCriterion("vUpdateTime >", value, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("vUpdateTime >=", value, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeLessThan(Date value) {
            addCriterion("vUpdateTime <", value, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("vUpdateTime <=", value, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeIn(List<Date> values) {
            addCriterion("vUpdateTime in", values, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeNotIn(List<Date> values) {
            addCriterion("vUpdateTime not in", values, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeBetween(Date value1, Date value2) {
            addCriterion("vUpdateTime between", value1, value2, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVupdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("vUpdateTime not between", value1, value2, "vupdatetime");
            return (Criteria) this;
        }

        public Criteria andVremarkIsNull() {
            addCriterion("vRemark is null");
            return (Criteria) this;
        }

        public Criteria andVremarkIsNotNull() {
            addCriterion("vRemark is not null");
            return (Criteria) this;
        }

        public Criteria andVremarkEqualTo(String value) {
            addCriterion("vRemark =", value, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkNotEqualTo(String value) {
            addCriterion("vRemark <>", value, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkGreaterThan(String value) {
            addCriterion("vRemark >", value, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkGreaterThanOrEqualTo(String value) {
            addCriterion("vRemark >=", value, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkLessThan(String value) {
            addCriterion("vRemark <", value, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkLessThanOrEqualTo(String value) {
            addCriterion("vRemark <=", value, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkLike(String value) {
            addCriterion("vRemark like", value, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkNotLike(String value) {
            addCriterion("vRemark not like", value, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkIn(List<String> values) {
            addCriterion("vRemark in", values, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkNotIn(List<String> values) {
            addCriterion("vRemark not in", values, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkBetween(String value1, String value2) {
            addCriterion("vRemark between", value1, value2, "vremark");
            return (Criteria) this;
        }

        public Criteria andVremarkNotBetween(String value1, String value2) {
            addCriterion("vRemark not between", value1, value2, "vremark");
            return (Criteria) this;
        }
    }

    /**
     * t_lightinfo
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_lightinfo 2018-11-06
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}